2008-04-28T22:32:00の更新内容

programming/mono/install_1.9/index.wiki.txt

current previous
3,7 3,6
 
Ubuntu 7.04 Feisty Fawnに[[Mono 1.9:http://www.mono-project.com/Main_Page]]をインストールしたときの手順。 Feisty Fawnでパッケージからインストールできるバージョンは1.2.1と若干古いので、ソースからインストールした。 またインストール先は/usr/localとした。
Ubuntu 7.04 Feisty Fawnに[[Mono 1.9:http://www.mono-project.com/Main_Page]]をインストールしたときの手順。 Feisty Fawnでパッケージからインストールできるバージョンは1.2.1と若干古いので、ソースからインストールした。 またインストール先は/usr/localとした。
 

        

        
 
-関連するページ
-関連するページ
+
--[[programming/mono/install_1.9.1]]
 
--[[programming/mono/install_1.2.6]]
--[[programming/mono/install_1.2.6]]
 
--[[programming/mono/install_monodevelop_1.0]]
--[[programming/mono/install_monodevelop_1.0]]
 
--[[programming/mono/install_monodevelop_0.18]]
--[[programming/mono/install_monodevelop_0.18]]
15,17 14,11
 
コンパイル時に必要となるパッケージをあらかじめSynapticないしはapt-getでインストールしておく。 必要になるものは以下のパッケージ。
コンパイル時に必要となるパッケージをあらかじめSynapticないしはapt-getでインストールしておく。 必要になるものは以下のパッケージ。
 

        

        
 
-libgdiplusが必要とするもの
-libgdiplusが必要とするもの
+
--libcairo2-dev
+
--libexif-dev
+
--libfreetype6-dev
+
--libfontconfig1-dev
 
--libglib2.0-dev
--libglib2.0-dev
-
--libungif4-dev
 
--libjpeg62-dev
--libjpeg62-dev
+
--libpng12-dev
 
--libtiff4-dev
--libtiff4-dev
~
--libungif4-dev
--libexif-dev
+
--libx11-dev
+
--libxrender-dev
 
-Monoが必要とするもの
-Monoが必要とするもの
 
--bison
--bison
 
-共通して必要とするもの
-共通して必要とするもの
127,7 120,6
 
--libgtk2.0-dev
--libgtk2.0-dev
 
--libcairo2-dev
--libcairo2-dev
 
-gnome-sharpが必要とするもの
-gnome-sharpが必要とするもの
+
--gtkhtml3.8
 
--libgnome2-dev
--libgnome2-dev
 
--libgnome-desktop-dev
--libgnome-desktop-dev
 
--libgnome-menu-dev
--libgnome-menu-dev
315,15 307,3
 
 gtksourceview-sharp, Version=1.0.0.2, Culture=neutral, PublicKeyToken=35e10195dab3c99f
 gtksourceview-sharp, Version=1.0.0.2, Culture=neutral, PublicKeyToken=35e10195dab3c99f
 
 monodoc, Version=1.0.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756
 monodoc, Version=1.0.0.0, Culture=neutral, PublicKeyToken=0738eb9f132ed756
 
    :
    :
+

          
+
**設定ファイルの変更
+
必要に応じて設定ファイルを変更する。
+

          
+
***/etc/ld.so.conf
+
インストールしたパスを追記。
+
 /usr/local/lib
+

          
+
***~/.bashrc
+
環境変数LD_LIBRARY_PATHを追記。
+
 export LD_LIBRARY_PATH=/usr/lib:/usr/local/lib:$LD_LIBRARY_PATH
+